<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PartnerInfo StructType
 * @subpackage Structs
 */
class PartnerInfo extends AbstractStructBase
{
    /**
     * The partnerId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $partnerId;
    /**
     * Constructor method for PartnerInfo
     * @uses PartnerInfo::setPartnerId()
     * @param string $partnerId
     */
    public function __construct($partnerId = null)
    {
        $this
            ->setPartnerId($partnerId);
    }
    /**
     * Get partnerId value
     * @return string|null
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }
    /**
     * Set partnerId value
     * @param string $partnerId
     * @return \StructType\PartnerInfo
     */
    public function setPartnerId($partnerId = null)
    {
        // validation for constraint: string
        if (!is_null($partnerId) && !is_string($partnerId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($partnerId, true), gettype($partnerId)), __LINE__);
        }
        $this->partnerId = $partnerId;
        return $this;
    }
}
